---
- name: "{{ pam_use_unshare | ternary('Install', 'Remove')}} pam_unshare"
  block:
    - name: "{{ pam_use_unshare | ternary('Install', 'Remove')}} pam_unshare package"
      yum:
        name: pam_unshare
        state: "{{ pam_use_unshare | ternary('installed', 'absent') }}"
    - name: "{{ pam_use_unshare | ternary('Install', 'Remove')}} pam_unshare in FST"
      include_role:
        name: apnscp/initialize-filesystem-template
        tasks_from: "{{ pam_use_unshare | ternary('install', 'remove') }}-package.yml"
      vars:
        service: siteinfo
        package: pam_unshare
- include_tasks: ./sshd.yml
- include_tasks: ./su.yml
- include_tasks: ./ftp.yml
  when: ftp_enabled | bool
- name: Add cgroup support to runuser
  include_tasks: cgroup.yml
  vars:
    pam_file: /etc/pam.d/runuser
- name: Add cgroup support to runuser in FST
  include_tasks: cgroup.yml
  vars:
    pam_file: "{{ apnscp_filesystem_template }}/siteinfo/etc/pam.d/runuser"
    notify:
      - Reload filesystem template
- include_tasks: crond.yml
- name: Configure Dovecot services
  include_tasks: ./dovecot.yml
  vars:
    pam_service: "{{ dovecot_service }}"
    pam_file: "{{ pam_path }}/{{ dovecot_service }}"
  with_items: "{{ dovecot_services }}"
  loop_control:
    loop_var: dovecot_service
    label: "Configuring Dovecot service {{ dovecot_service }}"
  when: mail_enabled | bool

- name: "Edit {{ apnscp_filesystem_template }} system-auth"
  lineinfile:
    path: "{{ apnscp_filesystem_template }}/siteinfo/etc/pam.d/system-auth"
    regexp: '^\s*session\s+.*pam_cgroup\.so'
    line: "session\toptional\tpam_cgroup.so"
    insertbefore: '^\s*session\s*required\s*{{ vwh_module }}|$'
    state: present
- name: Create general-purpose cgroup PAM
  template:
    src: "{{ pam_cgroup_template }}"
    dest: "{{ apnscp_filesystem_template }}/siteinfo/etc/pam.d/cgroup"
  notify:
    - Reload filesystem template

# Covered in system/nss authselect task for RHEL8+
- name: "Require login shell to be listed in /etc/shells"
  include_role: name=system/pam tasks_from=apply-shell-restriction.yml
  vars:
    path: "/etc/pam.d/system-auth"
  when: ansible_distribution_major_version == '7'
